Class | Regexp
In: | lib/spec/story/extensions/regexp.rb
Parent: | Object

### Methods

arg_regexp step_name

### Public Instance methods

arg_regexp()

[Source]

       # File lib/spec/story/extensions/regexp.rb, line 6
    6:   def arg_regexp
    7:     ::Spec::Story::Step::PARAM_OR_GROUP_PATTERN
    8:   end

step_name()

[Source]

       # File lib/spec/story/extensions/regexp.rb, line 2
    2:   def step_name
    3:     self.source.gsub '\\$', '$$'
    4:   end

[Validate]